<div
  #listItemRef
  class="note-kind flex cursor"
  [attr.data-test-element-id]="'note-kind-select'"
  [style.background-color]="getBackgroundColor()"
  [style.border-color]="getBorderColor()"
  [class.active-cursor]="editable"
  [class.not-editable]="!editable"
  [class.add-note]="isAddNote"
  (click)="showList()"
>
  @if (editable && !isAddNote) {
    <i
      class="flex-fixed-size invisible-icon"
      nz-icon
      nzType="caret-down"
      nzTheme="outline"
    ></i>
  }
  <span class="m-l-2 m-r-2" [style.color]="getTextColor()">{{
    getI18nKey() | translate
  }}</span>
  @if (editable) {
    <i
      [class.always-show-arrow]="isAddNote"
      [class.kind-select-icon]="!isAddNote"
      class="flex-fixed-size"
      nz-icon
      nzType="caret-down"
      nzTheme="outline"
    ></i>
  }
</div>

@if (editable) {
  <ng-template #templatePortalContent>
    <sqtm-core-list-panel
      [searchable]="false"
      [items]="listPanelItems"
      (itemSelectionChanged)="updateNoteKind($event)"
    >
    </sqtm-core-list-panel>
  </ng-template>
}
